Commit 2a8e045e authored by Boudewijn Rempt's avatar Boudewijn Rempt

The authorized stuff comes from kconfig, not kauth, which we don't need

parent e1126283
......@@ -240,7 +240,6 @@ find_package(KF5 ${MIN_FRAMEWORKS_VERSION} REQUIRED COMPONENTS
Archive
Config
WidgetsAddons
Auth
Completion
CoreAddons
GuiAddons
......@@ -254,9 +253,9 @@ find_package(KF5 ${MIN_FRAMEWORKS_VERSION} REQUIRED COMPONENTS
# compile with the updated function when the dependency is new enough.
# Remove this (and the uses of the define) when the minimum KF5
# version is >= 5.24.0.
if (${KF5Auth_VERSION} VERSION_LESS "5.24.0" )
message("Old KAuth (< 5.24.0) found.")
add_definitions(-DKAUTH_BEFORE_5_24)
if (${KF5Config_VERSION} VERSION_LESS "5.24.0" )
message("Old KConfig (< 5.24.0) found.")
add_definitions(-DKCONFIG_BEFORE_5_24)
endif()
find_package(Qt5 ${MIN_QT_VERSION}
......
......@@ -47,7 +47,7 @@
#include <stdio.h>
#if defined(KAUTH_BEFORE_5_24)
#if defined(KCONFIG_BEFORE_5_24)
# define authorizeAction authorizeKAction
#endif
......
......@@ -32,7 +32,7 @@
#include "kxmlguifactory.h"
#include "kactioncollection.h"
#if defined(KAUTH_BEFORE_5_24)
#if defined(KCONFIG_BEFORE_5_24)
# define authorizeAction authorizeKAction
#endif
......
......@@ -40,7 +40,7 @@
#include <kis_icon_utils.h>
#if defined(KAUTH_BEFORE_5_24)
#if defined(KCONFIG_BEFORE_5_24)
# define authorizeAction authorizeKAction
#endif
......
......@@ -40,7 +40,7 @@
#include <assert.h>
#if defined(KAUTH_BEFORE_5_24)
#if defined(KCONFIG_BEFORE_5_24)
# define authorizeAction authorizeKAction
#endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment